> ## Documentation Index
> Fetch the complete documentation index at: https://docs.payingame.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Items

Will give back the items a user has across all the chains and/or db.


## OpenAPI

````yaml GET /Items/{YourAPIKEY}/{ProjectGuid}/{CustomerID}
openapi: 3.1.0
info:
  title: PayInGame Public API
  description: >-
    REST API for accessing games, products, prices, languages, receipts, and
    payments.
  version: 1.0.0
servers:
  - url: https://intern.payingame.io/rest/PayIngame/PublicAPI
security: []
paths:
  /Items/{YourAPIKEY}/{ProjectGuid}/{CustomerID}:
    get:
      summary: >-
        Get the items a user has. It will return all the items on any chain
        and/or db
      parameters:
        - name: YourAPIKEY
          in: path
          required: true
          schema:
            type: string
        - name: ProjectGuid
          in: path
          required: true
          schema:
            type: string
        - name: CustomerID
          in: path
          required: true
          description: Your unique customer id that is identified in your game.
          schema:
            type: string
      responses:
        '200':
          description: List of items a user currently has across all chains and db.
          content:
            application/json:
              schema:
                type: object
                properties:
                  isError:
                    type: string
                    example: '0'
                  Error:
                    type: string
                    example: ''
                  Items:
                    type: array
                    items:
                      type: object
                      properties:
                        Chain:
                          type: string
                          example: Ethereum
                        ChainSymbol:
                          type: string
                          example: ETH
                        Guid:
                          type: string
                          format: uuid
                          example: XXXXX-XXXX-XXXX-XXXX-XXXXX
                        Name:
                          type: string
                          example: My Itemname
                        TokenID:
                          type: string
                          example: '8199752919166479225'
                        Attributes:
                          type: array
                          items:
                            type: object
                            properties:
                              Name:
                                type: string
                                example: My Name
                              Value:
                                type: string
                                example: My Value
                              IsDynamic:
                                type: boolean
                                example: 'true'
                example:
                  isError: '0'
                  Error: ''
                  Items:
                    - Chain: DB
                      Attributes:
                        - IsDynamic: true
                          Value: 80%
                          Name: Shield
                        - IsDynamic: true
                          Value: Uncommon
                          Name: Type
                        - IsDynamic: true
                          Value: 100%
                          Name: Weapon
                        - IsDynamic: true
                          Value: 100%
                          Name: Damage
                      ChainSymbol: DB
                      Guid: FB19FF83-CBA6-98C8-6249-1FC436D71D26
                      Name: DB Item
                      TokenID: '8199752919166479225'

````